package event

import cdssdk "gitlink.org.cn/cloudream/common/sdks/storage"

type HubCheckState struct {
	EventBase
	HubID cdssdk.HubID `json:"hubID"`
}

func NewHubCheckState(hubID cdssdk.HubID) *HubCheckState {
	return &HubCheckState{
		HubID: hubID,
	}
}

func init() {
	Register[*HubCheckState]()
}
